org.apache.ignite.internal.processors.platform

## Class PlatformNoCallbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.platform.PlatformException
        - - org.apache.ignite.internal.processors.platform.PlatformNoCallbackException

All Implemented Interfaces:
  Serializable

    public class PlatformNoCallbackException
    extends PlatformException

Exception raised when interop callback is not set in native platform.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformNoCallbackException()` Constructor.
`PlatformNoCallbackException(String msg)` Constructor.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformNoCallbackException

    public PlatformNoCallbackException()

Constructor.

#### PlatformNoCallbackException

    public PlatformNoCallbackException(String msg)

Constructor.

Parameters:
  `msg` - Message.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `PlatformException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017